#include <bits/stdc++.h>
using namespace std;
int main() {
	ios::sync_with_stdio(false); cin.tie(0);
	int N, M, a, b, rez=0;
	cin>>N>>M;
	long long A[N];
	for(int i=0; i<N; i++)
	cin>>A[i];
	for(int i=0; i<M; i++) {
		cin>>a>>b;
		rez+=max(A[a-1]+A[b-1], 0-A[a-1]-A[b-1]);
	}
	cout<<rez;
	return 0;
}